defmodule Tradex.Repo.Migrations.AddHistoricalQuotesTable do
  use Ecto.Migration

  def change do
    create table(:historical_quotes, primary_key: false) do
      add :id, :binary_id, primary_key: true

      add :security_id, references(:securities, type: :binary_id, on_delete: :delete_all),
        null: false

      add :date, :date, null: false
      add :open, :decimal, null: false
      add :high, :decimal, null: false
      add :low, :decimal, null: false
      add :close, :decimal, null: false
      add :adj_close, :decimal, null: false
      add :volume, :bigint, null: false
      timestamps(type: :utc_datetime)
    end

    create unique_index(:historical_quotes, [:security_id, :date])
  end
end
